Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Install FFmpeg with libfdk_aac support (For Ubuntu)
# Criando um script .sh para executar todos os comandos:
#root@servidor:~# vi script.sh
#root@servidor:~# chmod +x script.sh
#root@servidor:~# ./script.sh
apt-get update
apt-get -y install autoconf automake build-essential git-core libass-dev libgpac-dev libsdl1.2-dev libtheora-dev libtool libvdpau-dev libvorbis-dev libx11-dev libxext-dev libxfixes-dev pkg-config texi2html zlib1g-dev libmp3lame-dev nasm gcc yasm && true
mkdir ~/ffmpeg_sources
cd ~/ffmpeg_sources
git clone --depth 1 git://github.com/mstorsjo/fdk-aac.git
cd fdk-aac
autoreconf -fiv
./configure --prefix="$HOME/ffmpeg_build" --disable-shared
make -j8
make install
make distclean
cd ~/ffmpeg_sources
wget https://sourceforge.net/projects/lame/files/lame/3.99/lame-3.99.5.tar.gz
tar xzvf lame-3.99.5.tar.gz
cd lame-3.99.5
./configure --prefix="$HOME/ffmpeg_build" --enable-nasm --disable-shared
make -j8
make install
make distclean
cd ~/ffmpeg_sources
wget https://ffmpeg.org/releases/ffmpeg-4.2.1.tar.gz
tar xzvf ffmpeg-4.2.1.tar.gz
cd ffmpeg-4.2.1
PKG_CONFIG_PATH="$HOME/ffmpeg_build/lib/pkgconfig"
export PKG_CONFIG_PATH
./configure --prefix="$HOME/ffmpeg_build" \
--extra-cflags="-I$HOME/ffmpeg_build/include" --extra-ldflags="-L$HOME/ffmpeg_build/lib" \
--bindir="$HOME/bin" --extra-libs="-ldl" --enable-gpl --enable-libass --enable-libfdk-aac \
--enable-libmp3lame --enable-nonfree
make -j8
make install
cp ffmpeg /usr/bin/
make distclean
hash -r
ffmpeg 2>&1 | head -n1
@j8lud

This comment has been minimized.

Copy link

@j8lud j8lud commented Mar 22, 2018

I must add the library libfaac where I must change your script ?

@penseurtank

This comment has been minimized.

Copy link

@penseurtank penseurtank commented Apr 9, 2018

i follow above steps but after executing all the commands getting same error.
Error: ffmpeg_fdk_acc

@gilgongo

This comment has been minimized.

Copy link

@gilgongo gilgongo commented Jun 29, 2019

@rafaelbiriba

This comment has been minimized.

Copy link
Owner Author

@rafaelbiriba rafaelbiriba commented Jun 30, 2019

done @gilgongo! Thanks.

@chrisvaughn

This comment has been minimized.

Copy link

@chrisvaughn chrisvaughn commented Sep 13, 2019

thanks for the script! I had some issues build failures from ffmpeg master so I updated a fork to use the latest released version 4.2.1. https://gist.github.com/chrisvaughn/469312639631a65798c70acef36a108e

@Simanas

This comment has been minimized.

Copy link

@Simanas Simanas commented Oct 3, 2019

Thanks @chrisvaughn! Your version worked for me, while original was broken. @rafaelbiriba please update this to keep it fresh! :)

@rafaelbiriba

This comment has been minimized.

Copy link
Owner Author

@rafaelbiriba rafaelbiriba commented Oct 3, 2019

Updated! Thanks @chrisvaughn !

@orhanarifoglu

This comment has been minimized.

Copy link

@orhanarifoglu orhanarifoglu commented Jan 16, 2020

Got fatal error: syslib_channelMapDescr.h: No such file or directory
#include "syslib_channelMapDescr.h" when it comes to compile part. I think it needs another revision?

@ajaykt665

This comment has been minimized.

Copy link

@ajaykt665 ajaykt665 commented Feb 19, 2020

Hi rafaelbiriba,
i wanted to know if the ffmpeg that is built with the script you provided has the support to inject spatial Audio metadata(Ambisonics).I am working on a project for Android where in i am using ffmpeg library to trim the 4k video . After trimming the video, the video loses the spatial properties(Video and audio). I am able to inject the Video meta data but not able to inject Audio(ambisonics)metadata.Please help me with the same.

@dustball

This comment has been minimized.

Copy link

@dustball dustball commented Jul 30, 2020

This is really great BUT it's missing most of the codecs that come with the default debian FFMPEG.

It's great to add libfdk-aac .. but why remove support for all the good stuff?

I fetched additional packages and configured more stuff ..

sudo apt-get -y install build-essential autoconf automake cmake libtool git checkinstall nasm yasm libass-dev libfreetype6-dev libsdl2-dev p11-kit libva-dev libvdpau-dev libvorbis-dev libxcb1-dev libxcb-shm0-dev libxcb-xfixes0-dev pkg-config texinfo wget zlib1g-dev libchromaprint-dev frei0r-plugins-dev gnutls-dev ladspa-sdk libcaca-dev libcdio-paranoia-dev libcodec2-dev libfontconfig1-dev libfreetype6-dev libfribidi-dev libgme-dev libgsm1-dev libjack-dev libmodplug-dev libmp3lame-dev libopencore-amrnb-dev libopencore-amrwb-dev libopenjp2-7-dev libopenmpt-dev libopus-dev libpulse-dev librsvg2-dev librubberband-dev librtmp-dev libshine-dev libsmbclient-dev libsnappy-dev libsoxr-dev libspeex-dev libssh-dev libtesseract-dev libtheora-dev libtwolame-dev libv4l-dev libvo-amrwbenc-dev libvorbis-dev libvpx-dev libwavpack-dev libwebp-dev libx264-dev libx265-dev libxvidcore-dev libxml2-dev libzmq3-dev libzvbi-dev liblilv-dev libopenal-dev opencl-dev libjack-dev libavc1394-0 libavc1394-dev libiec61883-0 libiec61883-dev libbluray-dev libfdk-aac-dev libbs2b-dev libbs2b0 libdc1394-22 libdc1394-22-dev 

./configure --disable-static --disable-stripping --enable-avisynth --enable-avresample --enable-chromaprint --enable-frei0r --enable-gmp --enable-gnutls --enable-gpl --enable-ladspa --enable-libaom --enable-libass --enable-libbluray --enable-libbs2b --enable-libcaca --enable-libcdio --enable-libcodec2 --enable-libdc1394 --enable-libdrm --enable-libfdk-aac --enable-libfontconfig --enable-libfreetype --enable-libfribidi --enable-libgme --enable-libgsm --enable-libiec61883 --enable-libjack --enable-libmodplug --enable-libmp3lame --enable-libopencore-amrnb --enable-libopencore-amrwb --enable-libopenjpeg --enable-libopenmpt --enable-libopus --enable-libpulse --enable-librsvg --enable-librtmp --enable-librubberband --enable-libshine --enable-libsnappy --enable-libsoxr --enable-libspeex --enable-libssh --enable-libtesseract --enable-libtheora --enable-libtwolame --enable-libv4l2 --enable-libvo-amrwbenc --enable-libvorbis --enable-libvpx --enable-libwavpack --enable-libwebp --enable-libx264 --enable-libx265 --enable-libxml2 --enable-libxvid --enable-libzmq --enable-libzvbi --enable-lv2 --enable-nonfree --enable-openal --enable-opencl --enable-opengl --enable-sdl2 --enable-shared --enable-small --enable-version3 --extra-version=0ubuntu0.2 --incdir=/usr/include/x86_64-linux-gnu --libdir=/usr/lib/x86_64-linux-gnu --toolchain=hardened`
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.